Bug 980427 - F18 anaconda has unbearable memory requirements
F18 anaconda has unbearable memory requirements
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 06:55 EDT by Frantisek Hanzlik
Modified: 2014-02-05 17:02 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:02:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kickstart file (7.41 KB, application/x-compressed-tar)
2013-07-05 17:34 EDT, Frantisek Hanzlik
no flags Details
f18MS-ks.cfg (uncompressed kickstart file) (16.86 KB, text/plain)
2013-07-05 17:42 EDT, Steve Tyler
no flags Details

  None (edit)
Description Frantisek Hanzlik 2013-07-02 06:55:11 EDT
Description of problem:
When I tried install F18 i686 on PC with 1.25 GB RAM, installation crashes after installing severa (of 3500) packages. At further testing I found this is caused by insufficient RAM, and crash occur when installing some bigger packages - in my case eg. 'wesnoth-data' (~325 MB), fluid-soundfont-lite-patches (~143 MB) etc. Installation was successful only after reducing number of installed packages and eliminate biggest of them.

Version-Release number of selected component (if applicable):
anaconda 18.37.11

How reproducible:
Always - take machine with 1 GB (according to F18 minimal requirements) RAM and
try install desktop system with 2500+ RPMs and select some bigger packages (100-150+ MB).

Expected results:
I was hoped that, with new redesigned anaconda, will be possible install Fedora to older machines with only 512 MB RAM (I think previous F17- acaconda versions required 768 MB RAM) - but contrary is the case, although new anaconda functionality seems cropped for me, its memory requirements are significantly higher.

Additional info:
1 GB minimal memory requirements, as stated for F18, is probably sufficient only for minimal installation; usual desktop configuration isn't possible.
It defends install Fedora to older machines, specially on notebooks and devices where is limited amount of RAM and it is problematic expand it (even for installation).

Monitoring installation process with 'top' utility I noticed that anaconda occupy even 810 VIRTual and 690 RESident MB of memory.
Comment 1 Steve Tyler 2013-07-04 13:46:38 EDT
Did you try F19, which was released on 2013-07-02?

Subject: Announcing the release of Fedora 19!
Date: 2013-07-02 14:01:29 GMT
http://article.gmane.org/gmane.linux.redhat.fedora.test.announce/732
Comment 2 Steve Tyler 2013-07-05 15:00:02 EDT
I cannot reproduce this from the given information. Test installs in a VM from the F18 DVD with 1 GB memory and default disk partitioning succeed and boot to the desktop.

All add-ons were selected in each case:
f18 gnome 1677 packages
f18 kde   1731 packages

Further, I successfully installed wesnoth-data and fluid-soundfont-lite-patches after booting into the installed system.

Tested with:
$ qemu-img create f18-test-2.img 12G
$ qemu-kvm -m 1024 -hda f18-test-2.img -cdrom ~/xfr/fedora/F18/Fedora-18-i386-DVD.iso -vga std -boot menu=on
Comment 3 Steve Tyler 2013-07-05 15:12:43 EDT
How are you installing?
What desktop?
What add-ons?
How are you partitioning your disk?

> ... installation crashes ...

Do you get a bug-reporting dialog?
Comment 4 Frantisek Hanzlik 2013-07-05 16:02:29 EDT
(In reply to Steve Tyler from comment #3)
> How are you installing?
> What desktop?
> What add-ons?
> How are you partitioning your disk?
> 
> > ... installation crashes ...
> 
> Do you get a bug-reporting dialog?

I was doing install with kickstart file, where were specified network, machine name, root+users accounts and packages. Disk partitioning was done manually before installation (~ 7 GPT partitions) and in anaconda installation dialog these partitions was re-formated according to my needs (swap, BIOS boot + 3 ext4 partitions (/boot, root, /home; other partitions was unused)). Installation sources (6 repos) were on NFS volumes.

Kickstart file specified MATE, XFCE and LXDE desktops, Namely, there was groups:
@admin-tools
@base-x
@core
@czech-support
@dial-up
@directory-server
@dns-server
@editors
@education
@engineering-and-scientific
@font-design
@fonts
@ftp-server
@games
@gnome-desktop
@graphical-internet
@graphics
@hardware-support
@input-methods
@java
@legacy-network-server
@legacy-software-support
@lxde-desktop
@mail-server
@mate-desktop
@mysql
@network-server
@office
@online-docs
@printing
@server-cfg
@smb-server
@sound-and-video
@sql-server
@system-tools
@text-internet
@virtualization
@web-server
@window-managers
@xfce-desktop

plus other individually specified RPM packages, all around with resolved dependencies it results to ~ 3500 RPM packages which should be installed.

Bug reporting dialog was not shown, machine was living but anaconda stay (for hours) at this some big package installation. I was able from second console copy files to NFS server. "/tmp/packaging.log" ends with:

19:10:04,096 DEBUG yum.verbose.YumBase: TSINFO: Marking 2:texlive-pst-math-svn20176.0.61-16.fc18.noarch as install for 2:texlive-pstricks-add-svn28750.3.59-16.fc18.noarch
19:10:04,161 DEBUG yum.verbose.YumBase: TSINFO: Marking 2:texlive-varwidth-svn24104.0.92-16.fc18.noarch as install for 2:texlive-showexpl-svn27790.v0.3j-16.fc18.noarch
19:10:04,186 DEBUG yum.verbose.YumBase: TSINFO: Marking 2:texlive-attachfile-svn21866.v1.5b-16.fc18.noarch as install for 2:texlive-showexpl-svn27790.v0.3j-16.fc18.noarch
19:10:13,039 DEBUG yum.verbose.YumBase: Depsolve time: 290.001
19:10:13,049 DEBUG packaging: success
19:10:13,749 INFO packaging: 3642 packages selected totalling 19.37 GB
19:10:13,751 INFO packaging: preparing transaction
19:10:13,753 DEBUG packaging: initialize transaction set
19:10:13,756 DEBUG packaging: populate transaction set
19:27:08,547 DEBUG packaging: check transaction set
19:27:14,241 DEBUG packaging: order transaction set
19:27:15,799 INFO packaging: running transaction
19:27:43,453 INFO packaging: Installing fontpackages-filesystem-1.44-5.fc18.noarch (1/3642)
19:27:44,622 INFO packaging: Installing artwiz-aleczapka-fonts-common-1.3-13.fc18.noarch (2/3642)
19:27:45,065 INFO packaging: Installing ca-certificates-2012.87-1.fc18.noarch (3/3642)
19:27:45,698 INFO packaging: Installing hwdata-0.242-1.fc18.noarch (4/3642)
19:27:46,708 INFO packaging: Installing 1:control-center-filesystem-3.6.3-1.fc18.i686 (5/3642)
19:27:47,235 INFO packaging: Installing dejavu-fonts-common-2.33-4.fc18.noarch (6/3642)
19:27:47,854 INFO packaging: Installing setup-2.8.57-1.fc18.noarch (7/3642)
19:27:48,872 INFO packaging: Installing filesystem-3.1-2.fc18.i686 (8/3642)
19:27:54,651 INFO packaging: Installing telepathy-filesystem-0.0.2-4.fc18.noarch (9/3642)
19:27:55,050 INFO packaging: Installing mozilla-filesystem-1.9-8.fc18.i686 (10/3642)
19:27:55,476 INFO packaging: Installing tzdata-2012j-1.fc18.noarch (11/3642)
19:28:02,743 INFO packaging: Installing mgopen-fonts-common-0.20050515-19.fc18.noarch (12/3642)
19:28:03,349 INFO packaging: Installing gnu-free-fonts-common-20120503-4.fc18.noarch (13/3642)
19:28:03,525 INFO packaging: Installing 1:liberation-fonts-common-1.07.2-12.fc18.noarch (14/3642)
19:28:03,983 INFO packaging: Installing google-croscore-fonts-common-1.21.0-4.fc18.noarch (15/3642)
19:28:04,268 INFO packaging: Installing fedora-release-18-1.noarch (16/3642)
19:28:04,752 INFO packaging: Installing xkeyboard-config-2.6-6.fc18.noarch (17/3642)
19:28:06,809 INFO packaging: Installing beteckna-fonts-common-0.3-9.fc18.noarch (18/3642)
19:28:07,132 INFO packaging: Installing larabie-fonts-common-0-0.6.20011216.fc17.noarch (19/3642)
19:28:07,164 INFO packaging: Installing bitstream-vera-fonts-common-1.10-21.fc18.noarch (20/3642)
19:28:07,467 INFO packaging: Installing ctan-kerkis-fonts-common-2.0-26.fc18.noarch (21/3642)
19:28:07,758 INFO packaging: Installing tiresias-fonts-common-1.0-11.fc18.noarch (22/3642)
19:28:08,184 INFO packaging: Installing ctan-cm-lgc-fonts-common-0.5-20.fc18.noarch (23/3642)
19:28:08,614 INFO packaging: Installing denemo-fonts-common-0.9.4-0.fc18.noarch (24/3642)
19:28:09,037 INFO packaging: Installing mailcap-2.1.40-1.fc18.noarch (25/3642)
19:28:09,471 INFO packaging: Installing fluid-soundfont-common-3.1-9.fc18.noarch (26/3642)
19:28:10,161 INFO packaging: Installing fluid-soundfont-lite-patches-3.1-9.fc18.noarch (27/3642)


I will try install F19 on same PC within one or two weeks and put result there.
Comment 5 Steve Tyler 2013-07-05 16:36:18 EDT
Thanks Frantisek, that's very helpful.

Could you attach the complete kickstart file and all logs to this bug report?
(There is an "Add an attachment" link at the top of the bug report.)

If you have adequate swap space, I'm not sure out-of-memory is the problem.
What does "free" show?
Comment 6 Frantisek Hanzlik 2013-07-05 17:34:47 EDT
Created attachment 769397 [details]
kickstart file
Comment 7 Frantisek Hanzlik 2013-07-05 17:35:59 EDT
I'd only some logs, not all, and I cannot now re-run installation again. From what I have: "top" snapshot ~ 4.5 hours after installation start (but I'm not sure how long was running own package installation):

top - 21:16:46 up  4:28,  0 users,  load average: 1.36, 1.34, 1.33
Tasks:  96 total,   1 running,  95 sleeping,   0 stopped,   0 zombie
%Cpu(s): 63.0 us,  8.7 sy,  0.0 ni, 25.6 id,  1.0 wa,  1.5 hi,  0.3 si,  0.0 st
KiB Mem:   1287216 total,  1207864 used,    79352 free,    14196 buffers
KiB Swap:  2097148 total,   165636 used,  1931512 free,   561384 cached

  PID USER      PR  NI  VIRT  RES  SHR S  %CPU %MEM    TIME+  COMMAND
  707 root      20   0  587m 476m 9.9m S  84.6 37.9 168:41.57 anaconda
 1435 root      20   0  3012 1044  828 R   6.0  0.1   0:00.01 top
    1 root      20   0  7916 1608  936 S   0.0  0.1   0:11.75 systemd
    2 root      20   0     0    0    0 S   0.0  0.0   0:00.00 kthreadd
    3 root      20   0     0    0    0 S   0.0  0.0   0:00.01 ksoftirqd/0
    5 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 kworker/0:0H
    7 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 kworker/u:0H
    8 root      rt   0     0    0    0 S   0.0  0.0   0:00.00 migration/0
    9 root      rt   0     0    0    0 S   0.0  0.0   0:00.02 watchdog/0
   10 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 cpuset
   11 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 khelper
   12 root      20   0     0    0    0 S   0.0  0.0   0:00.00 kdevtmpfs
   13 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 netns
   14 root      20   0     0    0    0 S   0.0  0.0   0:00.00 bdi-default
   15 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 kintegrityd
   16 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 kblockd
   17 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 ata_sff
   18 root      20   0     0    0    0 S   0.0  0.0   0:00.00 khubd
   19 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 md
   22 root      20   0     0    0    0 S   0.0  0.0   0:01.31 kswapd0
   23 root      25   5     0    0    0 S   0.0  0.0   0:00.00 ksmd
   24 root      39  19     0    0    0 S   0.0  0.0   0:01.84 khugepaged
   25 root      20   0     0    0    0 S   0.0  0.0   0:00.00 fsnotify_mark
   26 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 crypto
   34 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 kthrotld
   36 root      20   0     0    0    0 S   0.0  0.0   0:00.00 scsi_eh_0
   37 root      20   0     0    0    0 S   0.0  0.0   0:00.00 scsi_eh_1
   39 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 kpsmoused
   41 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 deferwq
   45 root       0 -20     0    0    0 S   0.0  0.0   0:00.42 kworker/0:1H
   53 root      20   0     0    0    0 S   0.0  0.0   0:00.00 kauditd
  180 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 iscsi_eh
  185 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 kmpath_rdacd
  201 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 kmpathd
  202 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 kmpath_handlerd
  219 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 rpciod
  305 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 ttm_swap
  396 root       0 -20     0    0    0 S   0.0  0.0   0:00.72 loop0
  401 root       0 -20     0    0    0 S   0.0  0.0   0:30.93 loop1
  411 root       0 -20     0    0    0 S   0.0  0.0   0:00.15 loop2
  415 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 kdmflush
  416 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 ksnaphd
  417 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 kcopyd
  480 root      20   0     0    0    0 S   0.0  0.0   0:00.02 jbd2/dm-0-8
  481 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 ext4-dio-unwrit
  572 root      20   0  5728  760  528 S   0.0  0.1   0:00.28 systemd-udevd
  580 root      20   0 39044 3264 3028 S   0.0  0.3   0:07.40 systemd-journal
  640 root      20   0 38912  632  468 S   0.0  0.0   0:01.09 rsyslogd
  666 root      20   0  3268 1116  940 S   0.0  0.1   0:00.41 bash
  678 root       0 -20     0    0    0 S   0.0  0.0   0:00.00 cfg80211
  687 dbus      20   0 11968 1080  812 S   0.0  0.1   0:01.10 dbus-daemon
  690 root      20   0 46760 2160 1752 S   0.0  0.2   0:01.70 NetworkManager
  697 polkitd   20   0 60836 1500  940 S   0.0  0.1   0:00.22 polkitd
  706 root      20   0  4748 1208  496 S   0.0  0.1   0:01.94 tmux
  708 root      20   0  5344  304  304 S   0.0  0.0   0:00.01 bash
....
Comment 8 Steve Tyler 2013-07-05 17:42:43 EDT
Created attachment 769408 [details]
f18MS-ks.cfg (uncompressed kickstart file)
Comment 9 Steve Tyler 2013-07-05 18:00:18 EDT
(In reply to Frantisek Hanzlik from comment #7)
> I'd only some logs, not all, and I cannot now re-run installation again.
> From what I have: "top" snapshot ~ 4.5 hours after installation start (but
> I'm not sure how long was running own package installation):
> 
> top - 21:16:46 up  4:28,  0 users,  load average: 1.36, 1.34, 1.33
> Tasks:  96 total,   1 running,  95 sleeping,   0 stopped,   0 zombie
> %Cpu(s): 63.0 us,  8.7 sy,  0.0 ni, 25.6 id,  1.0 wa,  1.5 hi,  0.3 si,  0.0
> st
> KiB Mem:   1287216 total,  1207864 used,    79352 free,    14196 buffers
> KiB Swap:  2097148 total,   165636 used,  1931512 free,   561384 cached
...

Thanks, Frantisek. The installer allocates 2 GB of swap space by default, when there is 1 GB of memory, so that looks OK.

The developers will want to look at the log files, if you are able to get them later. They usually ask that the log files be attached as separate, uncompressed files.
Comment 10 Steve Tyler 2013-07-20 13:32:29 EDT
Have you tried F19?
Your two weeks are up ... :-)
(Comment 4)
Comment 11 Fedora End Of Life 2013-12-21 09:13:12 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:02:33 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.